Subject: [bug#66099] [PATCH gnome-team v6 0/5] Update eudev, udev-service-type, upower

From: Vivien Kraus <[email-masked]>
Date: Wed, 4 Oct 2023 23:37:02 +0200

Dear guix,

Le mercredi 04 octobre 2023 à 18:52 +0200, Liliana Marie Prikler a écrit :
> Am Montag, dem 02.10.2023 um 21:08 +0200 schrieb Vivien Kraus:
> > The "rules" field in the udev-configuration record can now hold both rules
> > and hwdb files.
> >
> > The udev-rules-union has been made generic, so that it works with either
> > rules or hwdb files.
> Maybe we should rename this to udev-configuration-union and deprecate the
> former in favor of the latter (if it can be used outside of the module)?

Yes, we should, "things" is ugly in a function name. However, the udev-*-union
are not accessed from outside of the module, so we can just drop them.

> > Some udev-related auxiliary functions in (gnu services base) had non-
> > texinfo variable references in their docstrings ("FILE-NAME" instead of
> > "@var{file-name}").
> >
> > udev-rule and file->udev-rule have very similar effects.  file->udev-rule
> > operates on a file-like, and udev-rule on plain string contents.  Now
> > udev-rule calls file->udev-rule with a plain-file file-like object.
> I think the patch would be a little easier to read if you did this
> refactoring in a separate one.  The commit log would read something like:
>
> "services: udev: unify udev-rule and fine->udev-rule.
>
> * gnu/services/base.scm (udev-rule): Implement in terms of 
> file->udev-rule.  Use texinfo in docstring."

You are right, it is way better!

Best regards,

Vivien

Vivien Kraus (5):
  gnu: eudev: Update libudev version to 251.
  services: udev: unify udev-rule and file->udev-rule.
  gnu: udev-service-type: accept hwdb file extensions.
  gnu: libgudev: Update to 238.
  gnu: upower: Update to 1.90.2.

 doc/guix.texi                                 |  52 +++++++--
 gnu/local.mk                                  |   1 +
 gnu/packages/gnome.scm                        |  43 +++++---
 gnu/packages/linux.scm                        |  55 +++++++---
 .../patches/eudev-rules-directory.patch       |   9 +-
 .../patches/eudev-set-version-to-3.2.12.patch |  25 +++++
 gnu/services/base.scm                         | 103 ++++++++++++++----
 7 files changed, 215 insertions(+), 73 deletions(-)
 create mode 100644 gnu/packages/patches/eudev-set-version-to-3.2.12.patch

base-commit: b18b2d13488f2a92331ccad2dc8cbb54ee15582f
-- 
2.41.0